Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.soap.handler
Class ReadHeadersHandler

    java.lang.Object
      org.codehaus.xfire.handler.AbstractHandler
          org.codehaus.xfire.soap.handler.ReadHeadersHandler

All Implemented Interfaces:
  Handler

    public class ReadHeadersHandler

extends AbstractHandler

Field Summary
`static java.lang.String` | `DECLARED_NAMESPACES`

Fields inherited from interface org.codehaus.xfire.handler.Handler
`ROLE`

Constructor Summary
`ReadHeadersHandler()`

Method Summary
`protected void` | `checkForFault(MessageContext context, InMessage msg, javax.xml.stream.XMLStreamReader reader)`
`java.lang.String` | `getPhase()` The phase which this handler would like to be in.
`void` | `invoke(MessageContext context)` Invoke a handler.
`protected void` | `readHeaders(MessageContext context)` Read in the headers as a YOM Element and create a response Header.

Methods inherited from class org.codehaus.xfire.handler.AbstractHandler
`getRoles, getUnderstoodHeaders, handleFault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DECLARED_NAMESPACES

    public static final java.lang.String DECLARED_NAMESPACES

See Also:
  Constant Field Values

Constructor Detail

### ReadHeadersHandler

    public ReadHeadersHandler()

Method Detail

### getPhase

    public java.lang.String getPhase()

  Description copied from interface: `Handler`
  The phase which this handler would like to be in.

  Specified by:
    `getPhase` in interface `Handler`
  Overrides:
    `getPhase` in class `AbstractHandler`
  Returns:
  See Also:
    `Phase`

### invoke

    public void invoke(MessageContext context)
                throws java.lang.Exception

  Description copied from interface: `Handler`
  Invoke a handler. If a fault occurs it will be handled via the `handleFault` method.

  Throws:
    `java.lang.Exception`

### checkForFault

    protected void checkForFault(MessageContext context,
                                 InMessage msg,
                                 javax.xml.stream.XMLStreamReader reader)
                          throws XFireFault

  Throws:
    `XFireFault`

### readHeaders

    protected void readHeaders(MessageContext context)
                        throws javax.xml.stream.XMLStreamException

  Read in the headers as a YOM Element and create a response Header.

  Parameters:
    `context` -
  Throws:
    `javax.xml.stream.XMLStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.